# $Revision: 1.13 $, $Date: 2002/08/11 14:53:27 $
Summary:	Multicast address allocation server
Summary(pl):	Serwer przydziau adresw multicastowych
Name:		maas
Version:	0.1
Release:	3
License:	GPL
Group:		Networking/Daemons
Group(de):	Netzwerkwesen/Server
Group(pl):	Sieciowe/Serwery
Source0:	http://prdownloads.sourceforge.net/malloc/%{name}-%{version}.tar.gz
Source1:	http://deimos.campus.luth.se/malloc/documentation/%{name}_manual.pdf
Source2:	%{name}d.init
Source3:	%{name}d.sysconfig
BuildRequires:	autoconf
URL:		http://deimos.campus.luth.se/malloc/
PreReq:		rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MAAS is multicast address allocation server using MADCAP and AAP
protocols.

%description -l pl
MAAS to serwer przydziau adresw multicastowych wykorzystujcy
protokoy MADCAP i AAP.

%prep
%setup  -q

%build
%{__autoconf}
%configure 
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_sysconfdir}/%{name},/etc/rc.d/init.d,/etc/sysconfig}

install src/maasd $RPM_BUILD_ROOT%{_sbindir}
install %{SOURCE1} .
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/maasd
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/maasd

%pre
grep -q maasd %{_sysconfdir}/group || (
	/usr/sbin/groupadd -g 69 -r -f maasd 1>&2 || :
)
grep -q maasd %{_sysconfdir}/passwd || (
	/usr/sbin/useradd -M -o -r -u 69 \
        -g maasd -c "MAAS server" -d /dev/null maasd 1>&2 || :
)

%preun
if [ "$1" = "0" ]; then
	if [ -r /var/lock/subsys/maasd ]; then
		/etc/rc.d/init.d/maasd stop >&2
	fi
	/sbin/chkconfig --del maasd
fi

%post
/sbin/chkconfig --add maasd
if [ -r /var/lock/subsys/maasd ]; then
	/etc/rc.d/init.d/maasd restart >&2
else
	echo "Run \"/etc/rc.d/init.d/maasd start\" to start MAAS daemon."
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS %{name}_manual.pdf src/*.conf
%attr(755,root,root) %{_sbindir}/*
%{_sysconfdir}/%{name}
%attr(755,root,root) /etc/rc.d/init.d/*
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: maas.spec,v $
Revision 1.13  2002/08/11 14:53:27  marcus
- use new %%doc
- rel.3 (to synchonize releases on ftp)

Revision 1.12  2002/05/21 23:14:06  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.11  2002/04/16 13:13:48  marcus
- adedd autoconf
- fixed mistake in description
- rel.2.

Revision 1.2  2001/06/29 07:37:40  kloczek
- Group changed to Networking/Daemons,
- added rc-scripts to Prereq.

Revision 1.1  2001/06/25 15:30:14  jajcus
- initial spec
